Skip to main content
GET
/
environments
/
{environmentId}
/
wallet
/
sanctions
Check if a wallet address is sanctioned
curl --request GET \
  --url https://app.dynamicauth.com/api/v0/environments/{environmentId}/wallet/sanctions \
  --header 'Authorization: Bearer <token>'
{
  "walletAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
  "chain": "ETH",
  "isBlocked": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Query Parameters

walletAddress
string
required

The wallet address to check for sanctions Valid blockchain wallet address, must be an alphanumeric string without any special characters

Maximum string length: 255
Pattern: ^[A-Za-z0-9]{18,100}$
Example:

"0xbF394748301603f18d953C90F0b087CBEC0E1834"

chain
enum<string>
required

The blockchain chain of the wallet

Available options:
ETH,
EVM,
FLOW,
SOL,
ALGO,
STARK,
COSMOS,
BTC,
ECLIPSE,
SUI,
SPARK,
TRON,
APTOS,
TON,
STELLAR,
ALEO,
TEMPO

Response

Wallet sanctions check result

walletAddress
string
required

Valid blockchain wallet address, must be an alphanumeric string without any special characters

Maximum string length: 255
Pattern: ^[A-Za-z0-9]{18,100}$
Example:

"0xbF394748301603f18d953C90F0b087CBEC0E1834"

chain
enum<string>
required
Available options:
ETH,
EVM,
FLOW,
SOL,
ALGO,
STARK,
COSMOS,
BTC,
ECLIPSE,
SUI,
SPARK,
TRON,
APTOS,
TON,
STELLAR,
ALEO,
TEMPO
isBlocked
boolean
required

Whether the wallet address is blocked due to sanctions